/* Written 2002 by Andi Kleen */
#include <linux/personality.h>
#undef personality
#include <string.h>
#include <errno.h>
#include <stdio.h>

int main(int ac, char **av) 
{ 
	int pers = PER_LINUX32;
	if (!av[1]) { 
		fprintf(stderr, "usage: %s program args ...\n", av[0]); 
		exit(1); 
	} 
	if (!strcmp(av[0],"linux64")) pers= PER_LINUX;
	else if (!strcmp(av[0],"linux32")) pers = PER_LINUX32;

	if (personality(pers)) {
		fprintf(stderr, "Cannot set LINUX32 personality: %s\n",
			strerror(errno));
		exit(1);
	} 
	execvp(av[1],av+1);
	fprintf(stderr, "Cannot execute %s: %s\n", av[1], strerror(errno)); 
	exit(1); 
} 
